#include <csignal>
#include <cstdio>
#include <cstdlib>
#include <vector>
#include <string>
#include <unistd.h>
void wrong(int num){
  fprintf(stderr, "translate:wrong\n");
  fprintf(stderr, "Wrong Answer [%d]\n", num);
  fprintf(stdout, "%.2lf\n", 0.0);
  exit(0);
}
void ok(int L){
  int score = 0;
  if (L >= 101){
    score = 10;
  } else if (L >= 18){
    score = 30;
  } else if (L >= 17){
    score = 60;
  } else {
    score = 100;
  }
  if (score == 100){
    fprintf(stderr, "translate:success\n");
  } else {
     fprintf(stderr, "translate:partial\n");
  }
  fprintf(stderr, "Accepted\n");
  fprintf(stdout, "%.2lf\n", (double) score / 100);
}
int main(int argc, char** argv){
  if (argc < 5){
    fprintf(stderr, "Usage: %s <out0> <in0> <out1> <in1>\n", argv[0]);
    return 1;
  }
  signal(SIGPIPE, SIG_IGN);
  FILE* out0 = fopen(argv[1], "r");
  FILE* in0 = fopen(argv[2], "w");
  FILE* out1 = fopen(argv[3], "r");
  FILE* in1 = fopen(argv[4], "w");
  char prepare[10];
  fprintf(in0, "Start\n");
  fflush(in0);
  fprintf(in1, "Start\n");
  fflush(in1);
  if (fscanf(out0, "%s", prepare) != 1){
    fprintf(in0, "WA\n");
    fflush(in0);
    fprintf(in1, "WA\n");
    fflush(in1);
    wrong(0);
  }
  if (fscanf(out1, "%s", prepare) != 1){
    fprintf(in0, "WA\n");
    fflush(in0);
    fprintf(in1, "WA\n");
    fflush(in1);
    wrong(0);
  }
  int N;
  if (scanf("%d", &N) != 1){
    fprintf(stderr, "manager failed to read testcase");
    wrong(0);
  }
  fprintf(in0, "Success\n");
  fflush(in0);
  fprintf(in0, "%d\n", N);
  fflush(in0);
  int err0;
  if (fscanf(out0, "%d", &err0) != 1){
    fprintf(in1, "WA\n");
    fflush(in1);
    wrong(0);
  }
  if (err0 != 0){
    fprintf(in1, "WA\n");
    fflush(in1);
    wrong(err0);
  }
  int L;
  if (fscanf(out0, "%d", &L) != 1){
    fprintf(in1, "WA\n");
    fflush(in1);
    wrong(0);
  }
  char buf[100000];
  for (int i = 0; i < 100000; i++){
    buf[i] = 0;
  }
  if (fscanf(out0, "%s", buf) != 1){
    fprintf(in1, "WA\n");
    fflush(in1);
    wrong(0);
  }
  std::string S;
  for (int i = 0; i < L; i++){
    S += buf[i];
  }
  fprintf(in1, "Success\n");
  fflush(in1);
  fprintf(in1, "%d\n", N);
  fflush(in1);
  fprintf(in1, "%d\n", L);
  fflush(in1);
  for (int i = 0; i < L; i++){
    fprintf(in1, "%c", S[i]);
  }
  fprintf(in1, "\n");
  fflush(in1);
  int err1;
  if (fscanf(out1, "%d", &err1) != 1){
    fprintf(in0, "WA\n");
    fflush(in0);
    wrong(0);
  }
  if (err1 != 0){
    fprintf(in0, "WA\n");
    fflush(in0);
    wrong(err1);
  }
  fprintf(in0, "Success\n");
  ok(L);
  return 0;
}